Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface ServiceBinding.ServiceLifecycleOwner

All Known Implementing Classes:
  AbstractServiceRegistryImpl, BootstrapServiceRegistryImpl, SessionFactoryServiceRegistryImpl, StandardServiceRegistryImpl

Enclosing class:
  ServiceBinding<R extends Service>

    public static interface ServiceBinding.ServiceLifecycleOwner

Method Summary
`
`<R extends Service> void`
` | `configureService(ServiceBinding<R> binding)`
`
`<R extends Service> R`
` | `initiateService(ServiceInitiator<R> serviceInitiator)`
`
`<R extends Service> void`
` | `injectDependencies(ServiceBinding<R> binding)`
`
`<R extends Service> void`
` | `startService(ServiceBinding<R> binding)`
`
`<R extends Service> void`
` | `stopService(ServiceBinding<R> binding)`

Method Detail

### initiateService

    <R extends Service> R initiateService(ServiceInitiator<R> serviceInitiator)

### configureService

    <R extends Service> void configureService(ServiceBinding<R> binding)

### injectDependencies

    <R extends Service> void injectDependencies(ServiceBinding<R> binding)

### startService

    <R extends Service> void startService(ServiceBinding<R> binding)

### stopService

    <R extends Service> void stopService(ServiceBinding<R> binding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.